com.brightcove.pulse

## Interface PulseComponent.Listener

- Enclosing class:
    PulseComponent

      public static interface PulseComponent.Listener

  Listener of the Pulse Component.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.ooyala.pulse.PulseSession` | `onCreatePulseSession(java.lang.String pulseHost, Video video, com.ooyala.pulse.ContentMetadata contentMetadata, com.ooyala.pulse.RequestSettings requestSettings)` Called every time a new Pulse Session is needed (e.g., when a new content Video is set).
    `void` | `onOpenClickthrough(com.ooyala.pulse.PulseVideoAd pulseVideoAd)` Called when the user taps on the "Learn More" button from a Linear Ad.

- - ### Method Detail

    - #### onCreatePulseSession

          @NonNull
          com.ooyala.pulse.PulseSession onCreatePulseSession(@NonNull
                                                                      java.lang.String pulseHost,
                                                                      @NonNull
                                                                      Video video,
                                                                      @NonNull
                                                                      com.ooyala.pulse.ContentMetadata contentMetadata,
                                                                      @NonNull
                                                                      com.ooyala.pulse.RequestSettings requestSettings)

      Called every time a new Pulse Session is needed (e.g., when a new content Video is set). The Pulse Component will be handling this Pulse Session.
      Parameters:
        `pulseHost` - Pulse account host url.
        `video` - The current content video.
        `contentMetadata` - Content metadata to set Pulse properties.
        `requestSettings` - Request Setting to set Pulse properties.
      Returns:
        a non-null instance of a Pulse Session.

    - #### onOpenClickthrough

          void onOpenClickthrough(@NonNull
                                  com.ooyala.pulse.PulseVideoAd pulseVideoAd)

      Called when the user taps on the "Learn More" button from a Linear Ad.

      The app must call `PulseVideoAd.adClickThroughTriggered()` when the browser is opened to notify Pulse that the link has been shown.

      Parameters:
        `pulseVideoAd` - the pulse ad object to fetch the url to be displayed.